6.0.0-git
2021-01-18

[#9963] customsql auth driver lists no users
Summary customsql auth driver lists no users
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester michael (at) bigmichi1 (dot) de
Created 2011-04-24 (3557 days ago)
Due
Updated 2011-04-27 (3554 days ago)
Assigned 2011-04-27 (3554 days ago)
Resolved 2011-04-27 (3554 days ago)
Milestone
Patch No

History
2011-04-27 16:09:45 Jan Schneider State ⇒ Resolved
 
2011-04-27 15:56:55 michael (at) bigmichi1 (dot) de Comment #4 Reply to this comment
that fix works for listing the users, thx
2011-04-27 12:32:03 Jan Schneider Comment #3
Assigned to Jan Schneider
State ⇒ Feedback
Reply to this comment
Try this?
2011-04-27 12:31:51 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Simplify/fix returning user column (Bug #9963).

  2 files changed, 2 insertions(+), 10 deletions(-)
http://git.horde.org/horde-git/-/commit/222d61eee590bf35a976d10990e8bedd43d86745
2011-04-24 12:16:26 michael (at) bigmichi1 (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ customsql auth driver lists no users
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
when i use the customsql auth driver with these query for listing users

SELECT username FROM mailbox WHERE domain = SUBSTRING_INDEX(\L, '@', 
-1)  AND active = 1

i got these message in the log file

2011-04-24T14:06:43+02:00 NOTICE: HORDE [horde] PHP ERROR: Undefined 
offset: 0 [pid 7026 on line 242 of 
"/var/www/pear/php/Horde/Auth/Customsql.php"]

and no users are listed with the name in horde, only the entries are 
there but with no name

Saved Queries